
#ifndef TM_MOTORDRIVER_H
#define TM_MOTORDRIVER_H

#if (ARDUINO >= 100)
 #include <Arduino.h>
#else
 #include <WProgram.h>
 #include <pins_arduino.h>
#endif

#include "defines.h"

class TM_motorDriver {
  public:
    // Constructor
    TM_motorDriver();
    void
      setup(),
      loop(),
      setPanels(char pSideA, char pSideB, char pSideC),
      calibrate();
  
  private:
    void 
      turnMotorA(),
      turnMotorB(),
      turnMotorC(),
      saveTurns(char pSideA, char pSideB, char pSideC),
      loadTurns(),
      stopCalibration(),
      setMotorA(char pSide),
      setMotorB(char pSide),
      setMotorC(char pSide);
};
#endif
