
/**************************************************
******  CHANGE THIS VARIABLES AS YOU PREVER  ******
**************************************************/

#define ONE_SIDE_TURN  320  //steps for a 60° turn of a panel
#define TWO_SIDE_TURNS 640  //steps for a 120° turn of a panel


// Thresholds: If the value of the sensor pass this thresholds, the correspondig event is triggered
#define DUST_THRESHOLD        30  //threshold for the amount of dustparticles in the air
#define LUX_THRESHOLD         1000 //threshold for the luminosity
#define TEMPERATURE_THRESHOLD 800  //threshold for the temperature
#define HUMIDITY_THRESHOLD    900  //threshold for the humidity 


/* Intervals for the sensor checks
  DEBOUNCE: If a sensor detects the crossing of a threshold, wait this time and check again, 
    whether its a measuring error or not
  IDLE_CHECKTIME: Time until the next check after a negative measurement
  TRIGGERED_CHECKTIME: Time until the next check after a positive measurement
*/
#define DUSTSENSOR_DEBOUNCE             5000   //time in ms to wait after the first measurement
#define DUSTSENSOR_IDLE_CHECKTIME       10000  //time in ms to wait between non positive measurements
#define DUSTSENSOR_TRIGGERED_CHECKTIME  20000  //time in ms to wait after a positive confirmed measurement

#define LIGHTSENSOR_DEBOUNCE            5000   //time in ms to wait after the first measurement
#define LIGHTSENSOR_IDLE_CHECKTIME      10000  //time in ms to wait between non positive measurements
#define LIGHTSENSOR_TRIGGERED_CHECKTIME 20000  //time in ms to wait after a positive confirmed measurement

#define TEMPERATURESENSOR_DEBOUNCE             5000   //time in ms to wait after the first measurement
#define TEMPERATURESENSOR_IDLE_CHECKTIME       10000  //time in ms to wait between non positive measurements
#define TEMPERATURESENSOR_TRIGGERED_CHECKTIME  20000  //time in ms to wait after a positive confirmed measurement

#define HUMIDITYSENSOR_DEBOUNCE             5000   //time in ms to wait after the first measurement
#define HUMIDITYSENSOR_IDLE_CHECKTIME       10000  //time in ms to wait between non positive measurements
#define HUMIDITYSENSOR_TRIGGERED_CHECKTIME  20000  //time in ms to wait after a positive confirmed measurement

/**************************************************
***************  STOP CHANGING HERE  **************
**************************************************/


#define STEP_PIN_A 11  //pin for step-pulse of motor A
#define DIR_PIN_A  12  //pin for direction of rotation (HIGH = clockwise) of motor A

#define STEP_PIN_B 9  //pin for step-pulse of motor B
#define DIR_PIN_B  10 //pin dor direction of rotation (HIGH = clockwise) of motor B

#define STEP_PIN_C 7 //pin for step-pulse of motor C
#define DIR_PIN_C  8 //pin for direction of rotation (HIGH = clockwise) of motor C

#define CAL_PIN_A 6   //pin for calibrationsensor of panel A
#define CAL_PIN_B 5   //pin for calibrationsensor of panel B
#define CAL_PIN_C 4   //pin for calibrationsensor of panel C


#define LED_PIN              3   //pin for RGB-LED
#define DUSTSENSOR_SET_PIN   13  //pin for the sensor-LED of the dustsensor

//analogPins 
#define TEMPERATURESENSOR_PIN 0
#define DUSTSENSOR_READ_PIN   1 
#define HUMIDITYSENSOR_A_PIN  2 
#define HUMIDITYSENSOR_B_PIN  3 
#define LIGHTSENSOR_SDA_PIN   4
#define LIGHTSENSOR_SCL_PIN   5


#define EXPOSURE_TIME     280 // lightningtime for the dustsensor-LED
#define ACQUISITION_TIME  40  // short delay after te readout


